Subject: [Gen-art] Gen-ART LC Review of draft-ietf-weirds-object-inventory-05

From: Ben Campbell <[email-masked]>
Date: Mon, 20 Oct 2014 17:55:48 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document:  
draft-ietf-weirds-object-inventory-05
Reviewer: Ben Campbell
Review Date: 2014-10-20
IETF LC End Date: 2014-10-24

Summary: This draft is almost ready for publication as an informational RFC. However, there are quite a number of editorial issues that probably should be considered first.

Major issues:

None

Minor issues:

-- section 4.5:

It may be worth mentioning that the data included instances where the same label was used for different objects by different registries.

-- 5.5, first bullet:

Can you elaborate on why "nic.ccTLD" may not have been a good choice? Does this limitation impact the value of the analysis?

Nits/editorial comments:

-- General: This draft needs another round of proofreading. The RFC editor could handle most of these, but it would be good to save them the effort. (Not to mention that every change made during the RFC editor stage has a slight potential to affect meaning.)

-- Abstract, 2nd sentence: "... and result of existing WHOIS information."

Do you mean results of the _analysis_ of existing WHOIS information?

-- section 1, first sentence

Please expand RIRs and DNRs on first mention in the body. (I know you did so in the abstract, but they should be re-expanded in the body.)

-- section 1, 2nd bullet:

Missing conjunction?

-- section 1, 6th paragraph:

Can you include a citation for RDAP?

-- section 1, 7th paragraph: 

Paragraph uses presence tense. I suggest if you are describing observations made in the past, it should use past tense. 

"In number space..."

Missing article.

"Autonomous Systen Number (ASNs)"

Singular term, but plural abbreviation

"In domain name space..."

Missing article

" A common understanding of all these data formats is critical."

Critical for what purpose?

-- section 1, last paragraph: "Objects are classified" and "categories are viewed"

Passive voice obscures the meaning. I'm not sure if you mean "objects are classified" and "categories are viewed" by your analysis, by standards, or by the registries.

-- section 3, general:

Inconsistent paragraph construction for the process steps. Some steps are imperative, others are descriptive.

-- section 3, first list, list entry  (1)

All the sentences but the last seem to belong with the introduction to the process. That is, they are not part of the actual process.

-- section 3, 2nd list, entry (1)

s/"Responses of 106 ccTLDs"/"Responses for 106 ccTLDs"

entry (2)

should "... registries that have ... responses" be "registries that send ... responses"?

entry (3): "... collected by program...

Missing article.

entry (4): "self-designed data elements"

Does "self-designed" mean the same as "privately specified"?  (as used later in the conclusions.)

-- section 4, tables:

I suggest you number the tables, and refer to them by number. Things like "the following table" can cause confusion if some  rendering format (or future revision) changes the relative positions.. 

-- section 4.3, 2nd paragraph: "... some table unites ..."

Wrong word?  (Unites)

"... orderly placed ...'

Does this mean "... placed in order..."

"Every hyphen ... "

Every hyphen? This conflicts with example, where in abuse-mailbox, only one of the hyphens indicated a continuation. (Also, using a continuation signal that duplicates characters that actually appear in the data is confusing. It's probably not worth fixing that at this stage, though.)

-- section 4.3, table:

What do slashes and parentheses mean in the data? Are they literally in the data, or do they mean something else?

-- section 5.1 "four ccTLDs and..."

Capitalization error.

-- 5.2.2 : "In domain name space..."

Missing article.

-- 5.2.4, first paragraph after table: "... have 'Sponsoring Registrar' data element ..."

Missing article.

-- 5.4.2, last paragraph"

s/" just parts of all the objects " / " just some of all the objects "

---

From: Ning Kong <[email-masked]>
Date: Wed, 22 Oct 2014 16:21:15 +0800

Hi Ben,

Thanks for your comments. Please see my feedbacks inline.

> 在 2014年10月21日，上午6:55，Ben Campbell <[email-masked]> 写道：
> 
[snip]
> It may be worth mentioning that the data included instances where the same label was used for different objects by different registries.
Thanks for catching that. I found that the label "org-name" in the first table of section 4.1 belongs to such kind of data. We’ll mention it in the next updating.

> Can you elaborate on why "nic.ccTLD" may not have been a good choice? Does this limitation impact the value of the analysis?
The reason why we listed this point is we think the term "nic" is so special that maybe only the NIC of ccTLD uses this domain, then the whois data of this domain is customized. But that’s just our guess and we didn’t verify it.
More clarifications on this points will be added.

> Do you mean results of the _analysis_ of existing WHOIS information?
Yes, thanks for catching that.

> Please expand RIRs and DNRs on first mention in the body. (I know you did so in the abstract, but they should be re-expanded in the body.)
OK.

> -- section 1, 2nd bullet:
Good catch.

> Can you include a citation for RDAP?
Sure.

> Paragraph uses presence tense. I suggest if you are describing observations made in the past, it should use past tense. 
Agreed.

> Missing article.
Good catch.

> Singular term, but plural abbreviation
Good catch.

> "In domain name space..."
Good catch.

> Critical for what purpose?
The purpose is "to construct a single data model for each object".

> Passive voice obscures the meaning. I'm not sure if you mean "objects are classified" and "categories are viewed" by your analysis, by standards, or by the registries.
"objects are classified" and "categories are viewed" by EPP protocols (RFC 5730-5733) and ICANN’s new gTLD applicant guide book. We will clarify this point in the next version. 

> Inconsistent paragraph construction for the process steps. Some steps are imperative, others are descriptive.
Agreed.

> All the sentences but the last seem to belong with the introduction to the process. That is, they are not part of the actual process.
Agreed.

> s/"Responses of 106 ccTLDs"/"Responses for 106 ccTLDs”
Accepted.

> entry (2)
> 
> should "... registries that have ... responses" be "registries that send ... responses”?
OK

> entry (3): "... collected by program...
OK

> Does "self-designed" mean the same as "privately specified"?  (as used later in the conclusions.)
Yes. We’ll fix this problem.

> I suggest you number the tables, and refer to them by number. Things like "the following table" can cause confusion if some  rendering format (or future revision) changes the relative positions.. 
OK.

> -- section 4.3, 2nd paragraph: "... some table unites ..."
Good Catch.

> "... orderly placed ...'
> 
> Does this mean "... placed in order…"
Yes.

> Every hyphen? This conflicts with example, where in abuse-mailbox, only one of the hyphens indicated a continuation. (Also, using a continuation signal that duplicates characters that actually appe…
Of course not every hyphen. We mean “Every hyphen as the suffix of each string”. So only the hyphen at the end of a string is used as the special symbol. We’ll try to clarify it in order to make it’s easier to be understood.

> What do slashes and parentheses mean in the data? Are they literally in the data, or do they mean something else?
In the domain space, all characters in each label are literally in the data. I’m not sure whether it’s the same as in the number space. I suggest Arturo Servin further explain this issue.

> -- section 5.1 "four ccTLDs and..."
Thanks for catching it.

> -- 5.2.2 : "In domain name space..."
Agreed.

> -- 5.2.4, first paragraph after table: "... have 'Sponsoring Registrar' data element ..."
Agreed.

> s/" just parts of all the objects " / " just some of all the objects “
Agreed.

Thanks again!

Cheers,
Ning

---

From: Ben Campbell <[email-masked]>
Date: Wed, 22 Oct 2014 09:07:41 -0500

Thanks for the response. I have one further comment, otherwise your responses satisfy my concerns.

> On Oct 22, 2014, at 3:21 AM, Ning Kong <[email-masked]> wrote:
> 

a "suffix" can be more than one character. I suggest "A hyphen in the final position of a string..."

---

From: Ning Kong <[email-masked]>
Date: Thu, 23 Oct 2014 14:50:00 +0800

Hi Ben,

Thanks again for the further comment. I believe it’s a good suggestion to clarify this issue. We’ll accept it.

Cheers,
Ning

> 在 2014年10月22日，下午10:07，Ben Campbell <[email-masked]> 写道：
>

---

From: Ning Kong <[email-masked]>
Date: Thu, 23 Oct 2014 16:59:19 +0800

> In the domain space, all characters in each label are literally in the data. I’m not sure whether it’s the same as in the number space. I suggest Arturo Servin further explain this issue.

Hi Ben, I just discussed with Arturo on this issue. He confirmed that neither slashes or parentheses in the number data is not necessary. So we’ll remove them all in the next version. Thanks your comments again!

Cheers,
Ning

---

From: Jari Arkko <[email-masked]>
Date: Thu, 30 Oct 2014 15:37:47 +0200

Thanks for the review and edits, Ben & Ning!

Jari

On 23 Oct 2014, at 11:59, Ning Kong <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art